Skip to main content
POST
CreateOrUpdateAuthSessionStart

Authorizations

x-api-key
string
header
required

API Key used to authenticate your requests. How to create one.

Path Parameters

workspaceId
string<uuid>
required

Your workspace ID. How to find it?

projectName
string
required

The name you assigned when creating the Project.

Body

application/json

Create AuthSession input schema

parameters
object
required

The parameters to be passed to the API.

Example:
id
string

The unique identifier for the authentication session

Minimum string length: 3
Pattern: ^[a-zA-Z0-9-(),_]+$
Example:

"auth-session-123"

proxy
string<uri> | null

Proxy configuration for the job

Example:

"http://username:password@proxy.example.com:8080"

createAttempts
integer
default:3

Number of attempts to create a new AuthSession if the current one is invalid or expired.

Example:

3

checkAttempts
integer
default:3

Number of attempts to check the validity of the AuthSession before recreating it.

Example:

3

saveTrace
boolean

Response

201 - application/json

Create AuthSession operation started

status
enum<string>
required
Available options:
started
operationId
string
required